/*
 * Copyright (c) 2006 Red Hat, Inc. All rights reserved. This copyrighted material 
 * is made available to anyone wishing to use, modify, copy, or
 * redistribute it subject to the terms and conditions of the GNU General
 * Public License v.2.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Author: David Malcolm <dmalcolm@redhat.com>
 */
#include <stdio.h>

int
main (int argc, char **argv)
{

  /*
    The following code generates the output expected by 
    verify-hello-world-output.sh ("Avast!"), and should lead to a PASS

    To ensure that verify-hello-world-output.sh is working correctly, you
    can switch the #if 1 to a #if 0 to generate unexpected output:
    this should lead to a FAIL
  */
#if 1
  /* Generate the expected output: */
  printf("Avast!\n");
#else
  /* This generates unexpected output, to check the failure case: */
  printf("Belay that order!\n");
#endif



  /* 
     Similarly, the program ought to exit with code 0.  You can hack this line
     to check that the verification script detects non-zero exit codes
     and fails appropriately in this case
  */
  return (0);
}
