# Copyright (c) 2006 Red Hat, Inc. All rights reserved. This copyrighted material 
# is made available to anyone wishing to use, modify, copy, or
# redistribute it subject to the terms and conditions of the GNU General
# Public License v.2.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# Author: David Malcolm <dmalcolm@redhat.com>

cat PURPOSE

EXPECTED_OUTPUT="Avast!"
echo
echo "Running ./hello-world..."
OUTPUT=`./hello-world`
EXIT_CODE=$?
echo "Expected output: $EXPECTED_OUTPUT"
echo "  Actual output: $OUTPUT"
echo "Expected exit code: 0"
echo "  Actual exit code: $EXIT_CODE"

# RESULT should be success (zero) only if both EXIT_CODE is zero and output is
# as expected:
RESULT=$EXIT_CODE
if [ "$OUTPUT" != "$EXPECTED_OUTPUT" ] ; then
    echo "Output not as expected"
    RESULT=127
fi

# We're done:
exit $RESULT

